﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define e = Character("...", color="#ffff99")
define m = Character("Moça", color="#ffb399")
define g = Character("Moço", color="#99ffff")

image per1 fantasma = "images/per fantasma.png"
image per2 crianca = "images/per crianca.png"
image per3 moca = "images/per moca.png"
image per4 amigo = "images/per amigo.png"
image logo repair = "images/logo.png"
image busao bus = "images/bus.png"
# The game starts here.

label start:

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.

    play music "audio/music.ogg"
    play sound "audio/vento.ogg"

    scene bg ponto
    with Dissolve(6)

    show per1 fantasma:
        pos(1463,683)
    with Dissolve(3)

    show per2 crianca:
        pos(1532,703)
    with Dissolve(3)

    # image cloud1 = "cloud1.jpeg"
    # image clouds:
    #     contains:
    #         "cloud1"
    #         xalign 0.0
    #         linear 40.0 xpos -1.0
    #         repeat
    #
    # show clouds

    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    # These display lines of dialogue.

    e "Olá, estou esperando um ônibus chegar. Ele vem de longe."
    e "Muitas pessoas passam por aqui, mas ele ainda não chegou.
    Pensei que viesse no ônibus das 8, mas o das 9 já está chegando e nada."
    e "Daqui a pouco não há mais o que esperar."
    e "Você está esperando alguém?"

    menu:
        "Sim":
            e "É chato ficar esperando aqui, não é mesmo?"
            e "Bem cansativo..."

        "Não":
            e "Mas o que mais você faria em um ponto de ônibus?"

    e "Sabe o que acho curioso daqui? Tem gente que nem senta e o ônibus já chega,
    enquanto outros ficam horas esperando. A vida é injusta às vezes…"

    e "Ou será que é apenas uma questão de organização?"
    menu:
        "Talvez...":
            e "Você não parece querer conversar. Se não estiver a fim, é só avisar, tudo bem?"

        "Sim":
            e "Você não parece querer conversar. Se não estiver a fim, é só avisar, tudo bem?"

    menu:
        "Não, tudo bem.":
            e "Será que ele está chegando?"

        "É um pouco incômodo.":
            e "Desculpe incomodar, mas normalmente não converso por aqui."
            menu:
                "Não tem problema":
                    e "Será que ele está chegando?"
                "Com licença, preciso caminhar um pouco":
                    jump pular

    e "..."
    e "Não, também não é esse ônibus..."

    show per3 moca:
        pos(1125,633)
    with Dissolve(3)

    e "Aquela menina em pé, ela se parece muito com a irmã dele.
    Se ela não morasse tão longe eu diria que é ela!"
    e "Qual ônibus será que ela está esperando? Será que é o mesmo que eu?
    Eu gostaria que a irmã dele estivesse aqui, assim seria mais um motivo para ele vir até essa cidade."

    menu:
        "Ele quem?":
            e "Meu namorado."

        "Ele mora em outra cidade?":
            e "Sim."

    e "Ele não mora mais aqui, se mudou faz um tempo. Eu sempre ligo para ele, mas ultimamente está difícil dele vir me visitar."

    menu:
        "Que pena que ele não vem te visitar.":
            e "É uma pena mesmo, liguei várias vezes mas está cada vez mais difícil falar com ele."

        "E por que ele não volta a morar aqui?":
            e "Eu não sei, ele disse algo sobre mudar mas não entendi muito bem. Coisas de relacionamento."

    e "Mas eu perguntei a ele se vinha me ver logo. Perguntei várias vezes, ele deveria vir…"

    menu:
        "Talvez ele nunca mais venha…":
            e "Como assim ele nunca mais vem? Mas ele precisa vir para cá! Ele precisa voltar!"
            menu:
                "Desculpe, não é isso que eu quis dizer":
                    e "Tudo bem..."

        "Ele pode estar atrasado, ou não conseguiu chegar no ponto a tempo…":
            e "Pode ser, ele sempre diz que está muito ocupado, apesar que não respondeu minhas últimas mensagens…"
            menu:
                "Deve ser muito compromissado.":
                    e "Ele é sim! Eu nem sei porque estamos falando disso!"
                "Ocupado para visitar a própria namorada?":
                    e "Ele sempre disse que foi assim com todo mundo."

    e "Aquela moça, ela está vindo em nossa direção."

label pular:

    show per3 moca:
        pos(1395,633)
    with Dissolve(3)

    m "Com licença, você parece perdido, achei melhor vir aqui."

    menu:
        "Está tudo bem sim, por que?":
            m "Ah, nada, só achei estanho alguém no ponto a esta hora."
            menu:
                "Estou esperando o meu ônibus.":
                    m "Também estou esperando."
                "Mas não estou sozinho, estava conversando com aquela moça.":
                    m "Certo, preciso ir embora."

    hide per3 moca
    with Dissolve(3)

    e "Bonita a moça né. E aquele menino, lá longe, do outro lado da rua, parece com o melhor amigo do meu namorado."
    e "Olha só, até o corte de cabelo é igual. Uma bobeira pensar nisso… Ainda mais que você nunca o viu. Mas garanto que é igualzinho."
    e "Ele está vindo até aqui! Será que percebeu que eu estava olhando para ele?"

    show per4 amigo:
        pos(1385,668)
    with Dissolve(3)

    g "Com licença, você saberia me informar se o 352 já passou?"

    menu:
        "Acredito que não.":
            g "Ok, obrigado e até mais."
        "Não sei te dizer, acabei de chegar.":
            g "Sem problemas, obrigado!"

    hide per4 amigo
    with Dissolve(3)

    e "Ele sequer olhou para mim, ainda bem que consigo disfarçar bem."
    e "A vida é engraçada né… A gente acha que conhece alguém e quando vê, é só alguém parecido.
    E quando a gente sabe quem alguém é, quando viu em alguma foto, mas a pessoa não faz ideia de quem nós somos?"
    e "Já passou por isso? É bem estranho, aconteceu com um outro amigo do meu namorado, que eu via foto deles em todas as redes sociais."
    e "Os dois estão sempre juntos, mas não o conhecia, até um dia que o encontrei no shopping.
    Ele me olhou estranho, ainda mais depois de que dei um oi para ele."

    menu:
        "Às vezes as pessoas não reparam nos outros.":
            e "Mas eu reparo."
        "Acho que ele estava com pressa.":
            e "Mesmo assim foi muito estranho."

    e "E o seu ônibus, não chega também?"

    menu:
        "Deve estar atrasado...":
            show busao bus:
                pos(488,533)
            with Dissolve(3)
            e "Chegou um ônibus."

            menu:
                "É o meu! Até logo e boa sorte.":
                    hide per2 crianca
                    with Dissolve(3)
                    e "Obrigado. Será que não tem outro ônibus?"

    e "Este é o último ônibus de hoje. Será que ele está nele? A porta está abrindo!
    Quanta gente para o último horário! Este não é, nem este, nem aquele…"

    # This ends the game.

    return
